package ru.micord.ervu.audit.service;

import javax.servlet.http.HttpServletRequest;

import ervu.model.fileupload.FileInfo;
import ervu.model.fileupload.UploadOrgInfo;
import ru.micord.ervu.audit.model.AuditActionRequest;
import ru.micord.ervu.kafka.model.OrgInfo;

/**
 * @author Adel Kalimullin
 */
public interface AuditService {
  void processActionEvent(HttpServletRequest request, AuditActionRequest auditActionRequest);

  void processAuthEvent(HttpServletRequest request, OrgInfo orgInfo, String prnOid, String status,
      String eventType);

  void processUploadEvent(UploadOrgInfo uploadOrgInfo, FileInfo fileInfo);

  void processDownloadEvent(HttpServletRequest request, long fileSize, String fileName,
      int formatRegistry, String status, String s3FileUrl);
}
